<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: greatest_run_info Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">greatest_run_info Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="byte__stack_2greatest_8h_source.html">greatest.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for greatest_run_info:</div>
<div class="dyncontent">
<div class="center"><img src="structgreatest__run__info__coll__graph.png" border="0" usemap="#greatest__run__info_coll__map" alt="Collaboration graph"/></div>
<map name="greatest__run__info_coll__map" id="greatest__run__info_coll__map">
<area shape="rect" id="node2" href="structgreatest__prng.html" title="greatest_prng" alt="" coords="5,5,107,32"/>
<area shape="rect" id="node3" href="structgreatest__suite__info.html" title="greatest_suite_info" alt="" coords="131,5,263,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a78ac89a4a0f57ffa7c2ecf31749aa390"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a78ac89a4a0f57ffa7c2ecf31749aa390">flags</a></td></tr>
<tr class="separator:a78ac89a4a0f57ffa7c2ecf31749aa390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a378a92feaca250332e92bde418135c"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a4a378a92feaca250332e92bde418135c">verbosity</a></td></tr>
<tr class="separator:a4a378a92feaca250332e92bde418135c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8368ce7f613710c1037d4669e5e75cc"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#af8368ce7f613710c1037d4669e5e75cc">pad_0</a> [2]</td></tr>
<tr class="separator:af8368ce7f613710c1037d4669e5e75cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6542a9d244f43a6774ac5eecaf457a12"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a6542a9d244f43a6774ac5eecaf457a12">tests_run</a></td></tr>
<tr class="separator:a6542a9d244f43a6774ac5eecaf457a12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b8a07b5e4441d605c1116e9b1ad3c5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structgreatest__suite__info.html">greatest_suite_info</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ad9b8a07b5e4441d605c1116e9b1ad3c5">suite</a></td></tr>
<tr class="separator:ad9b8a07b5e4441d605c1116e9b1ad3c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1810ba190aa195caf7bb8dcc23bb1c7d"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a1810ba190aa195caf7bb8dcc23bb1c7d">passed</a></td></tr>
<tr class="separator:a1810ba190aa195caf7bb8dcc23bb1c7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac22f1c4471429c9a1f0c09efd5fcca3a"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ac22f1c4471429c9a1f0c09efd5fcca3a">failed</a></td></tr>
<tr class="separator:ac22f1c4471429c9a1f0c09efd5fcca3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4ea3ecae8530a3099e24893b5643cf0"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ab4ea3ecae8530a3099e24893b5643cf0">skipped</a></td></tr>
<tr class="separator:ab4ea3ecae8530a3099e24893b5643cf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1903c3b6901a891c1f09466dabc367f"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ab1903c3b6901a891c1f09466dabc367f">assertions</a></td></tr>
<tr class="separator:ab1903c3b6901a891c1f09466dabc367f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac72f8e3c5c803a8f4c0c9b5689e195a6"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ac72f8e3c5c803a8f4c0c9b5689e195a6">fail_line</a></td></tr>
<tr class="separator:ac72f8e3c5c803a8f4c0c9b5689e195a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acedf3e017881c8fffcdc6e2bd979e2f5"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#acedf3e017881c8fffcdc6e2bd979e2f5">pad_1</a></td></tr>
<tr class="separator:acedf3e017881c8fffcdc6e2bd979e2f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea84978d188898d61332ed5a438e7a7d"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#aea84978d188898d61332ed5a438e7a7d">fail_file</a></td></tr>
<tr class="separator:aea84978d188898d61332ed5a438e7a7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb488631dc256bbd12809c92f616eb4d"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#acb488631dc256bbd12809c92f616eb4d">msg</a></td></tr>
<tr class="separator:acb488631dc256bbd12809c92f616eb4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a811f747c74764738e022453f71e144d3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#aa56818c7cca1e895c9303fdeea4de976">greatest_setup_cb</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a811f747c74764738e022453f71e144d3">setup</a></td></tr>
<tr class="separator:a811f747c74764738e022453f71e144d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd512995142c6a398587e4ca74a090ac"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#afd512995142c6a398587e4ca74a090ac">setup_udata</a></td></tr>
<tr class="separator:afd512995142c6a398587e4ca74a090ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6548708949f0fb1ad620d8a555597116"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab18ff5e54e7dcc191c399cf4634d6946">greatest_teardown_cb</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a6548708949f0fb1ad620d8a555597116">teardown</a></td></tr>
<tr class="separator:a6548708949f0fb1ad620d8a555597116"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ff11be1b115ecdc9b42ca64aa1cf9ce"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a0ff11be1b115ecdc9b42ca64aa1cf9ce">teardown_udata</a></td></tr>
<tr class="separator:a0ff11be1b115ecdc9b42ca64aa1cf9ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bf7afa8da1a88cad4e1dde517691cee"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a5bf7afa8da1a88cad4e1dde517691cee">col</a></td></tr>
<tr class="separator:a5bf7afa8da1a88cad4e1dde517691cee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca34d28e3d8bcbcadb8edb4e3af24f8c"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#aca34d28e3d8bcbcadb8edb4e3af24f8c">width</a></td></tr>
<tr class="separator:aca34d28e3d8bcbcadb8edb4e3af24f8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dcbf61d1e8f630bea76dd9e4358e634"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a0dcbf61d1e8f630bea76dd9e4358e634">suite_filter</a></td></tr>
<tr class="separator:a0dcbf61d1e8f630bea76dd9e4358e634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5e8dd3dec70915ce8469407189ca3c0"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ad5e8dd3dec70915ce8469407189ca3c0">test_filter</a></td></tr>
<tr class="separator:ad5e8dd3dec70915ce8469407189ca3c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1e015ae9d17c3cf361b5c833f526843"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ae1e015ae9d17c3cf361b5c833f526843">test_exclude</a></td></tr>
<tr class="separator:ae1e015ae9d17c3cf361b5c833f526843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9670bbf1608bc2fa32fbea667944b8f"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ad9670bbf1608bc2fa32fbea667944b8f">name_suffix</a></td></tr>
<tr class="separator:ad9670bbf1608bc2fa32fbea667944b8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a037b1cb46cd02ba3ef5f6ddddfffb7a9"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a037b1cb46cd02ba3ef5f6ddddfffb7a9">name_buf</a> [<a class="el" href="list_2greatest_8h.html#acf62f86c1461ccebf8e9ae3b5a8070dc">GREATEST_TESTNAME_BUF_SIZE</a>]</td></tr>
<tr class="separator:a037b1cb46cd02ba3ef5f6ddddfffb7a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91fecc0619f9bc643647d801a1586870"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structgreatest__prng.html">greatest_prng</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a91fecc0619f9bc643647d801a1586870">prng</a> [2]</td></tr>
<tr class="separator:a91fecc0619f9bc643647d801a1586870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7f89cd88676254c74ba6aaca1097073"><td class="memItemLeft" align="right" valign="top">clock_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#ab7f89cd88676254c74ba6aaca1097073">begin</a></td></tr>
<tr class="separator:ab7f89cd88676254c74ba6aaca1097073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e531b5f46b8ed2a65d440f935e162b9"><td class="memItemLeft" align="right" valign="top">clock_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a5e531b5f46b8ed2a65d440f935e162b9">end</a></td></tr>
<tr class="separator:a5e531b5f46b8ed2a65d440f935e162b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a414f6b5cf2ffb305e956819e98185a95"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a414f6b5cf2ffb305e956819e98185a95">pad_jmp_buf</a></td></tr>
<tr class="separator:a414f6b5cf2ffb305e956819e98185a95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a681497b9cbd6b7031440e428849569dc"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a681497b9cbd6b7031440e428849569dc">pad_2</a> [4]</td></tr>
<tr class="separator:a681497b9cbd6b7031440e428849569dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a778657fe9f573ebe2f20c6d9f06e467c"><td class="memItemLeft" align="right" valign="top">jmp_buf&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__run__info.html#a778657fe9f573ebe2f20c6d9f06e467c">jump_dest</a></td></tr>
<tr class="separator:a778657fe9f573ebe2f20c6d9f06e467c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab1903c3b6901a891c1f09466dabc367f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1903c3b6901a891c1f09466dabc367f">&#9670;&nbsp;</a></span>assertions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int assertions</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7f89cd88676254c74ba6aaca1097073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7f89cd88676254c74ba6aaca1097073">&#9670;&nbsp;</a></span>begin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">clock_t begin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5bf7afa8da1a88cad4e1dde517691cee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bf7afa8da1a88cad4e1dde517691cee">&#9670;&nbsp;</a></span>col</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int col</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5e531b5f46b8ed2a65d440f935e162b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e531b5f46b8ed2a65d440f935e162b9">&#9670;&nbsp;</a></span>end</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">clock_t end</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aea84978d188898d61332ed5a438e7a7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea84978d188898d61332ed5a438e7a7d">&#9670;&nbsp;</a></span>fail_file</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * fail_file</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac72f8e3c5c803a8f4c0c9b5689e195a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac72f8e3c5c803a8f4c0c9b5689e195a6">&#9670;&nbsp;</a></span>fail_line</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int fail_line</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac22f1c4471429c9a1f0c09efd5fcca3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac22f1c4471429c9a1f0c09efd5fcca3a">&#9670;&nbsp;</a></span>failed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int failed</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a78ac89a4a0f57ffa7c2ecf31749aa390"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78ac89a4a0f57ffa7c2ecf31749aa390">&#9670;&nbsp;</a></span>flags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char flags</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a778657fe9f573ebe2f20c6d9f06e467c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a778657fe9f573ebe2f20c6d9f06e467c">&#9670;&nbsp;</a></span>jump_dest</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">jmp_buf jump_dest</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb488631dc256bbd12809c92f616eb4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb488631dc256bbd12809c92f616eb4d">&#9670;&nbsp;</a></span>msg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * msg</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a037b1cb46cd02ba3ef5f6ddddfffb7a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a037b1cb46cd02ba3ef5f6ddddfffb7a9">&#9670;&nbsp;</a></span>name_buf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char name_buf</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9670bbf1608bc2fa32fbea667944b8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9670bbf1608bc2fa32fbea667944b8f">&#9670;&nbsp;</a></span>name_suffix</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * name_suffix</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8368ce7f613710c1037d4669e5e75cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8368ce7f613710c1037d4669e5e75cc">&#9670;&nbsp;</a></span>pad_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char pad_0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acedf3e017881c8fffcdc6e2bd979e2f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acedf3e017881c8fffcdc6e2bd979e2f5">&#9670;&nbsp;</a></span>pad_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int pad_1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a681497b9cbd6b7031440e428849569dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a681497b9cbd6b7031440e428849569dc">&#9670;&nbsp;</a></span>pad_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char pad_2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a414f6b5cf2ffb305e956819e98185a95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a414f6b5cf2ffb305e956819e98185a95">&#9670;&nbsp;</a></span>pad_jmp_buf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int pad_jmp_buf</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1810ba190aa195caf7bb8dcc23bb1c7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1810ba190aa195caf7bb8dcc23bb1c7d">&#9670;&nbsp;</a></span>passed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int passed</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a91fecc0619f9bc643647d801a1586870"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91fecc0619f9bc643647d801a1586870">&#9670;&nbsp;</a></span>prng</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structgreatest__prng.html">greatest_prng</a> prng</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a811f747c74764738e022453f71e144d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a811f747c74764738e022453f71e144d3">&#9670;&nbsp;</a></span>setup</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#aa56818c7cca1e895c9303fdeea4de976">greatest_setup_cb</a> * setup</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd512995142c6a398587e4ca74a090ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd512995142c6a398587e4ca74a090ac">&#9670;&nbsp;</a></span>setup_udata</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void * setup_udata</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4ea3ecae8530a3099e24893b5643cf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4ea3ecae8530a3099e24893b5643cf0">&#9670;&nbsp;</a></span>skipped</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int skipped</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9b8a07b5e4441d605c1116e9b1ad3c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9b8a07b5e4441d605c1116e9b1ad3c5">&#9670;&nbsp;</a></span>suite</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structgreatest__suite__info.html">greatest_suite_info</a> suite</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0dcbf61d1e8f630bea76dd9e4358e634"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dcbf61d1e8f630bea76dd9e4358e634">&#9670;&nbsp;</a></span>suite_filter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * suite_filter</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6548708949f0fb1ad620d8a555597116"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6548708949f0fb1ad620d8a555597116">&#9670;&nbsp;</a></span>teardown</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab18ff5e54e7dcc191c399cf4634d6946">greatest_teardown_cb</a> * teardown</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ff11be1b115ecdc9b42ca64aa1cf9ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ff11be1b115ecdc9b42ca64aa1cf9ce">&#9670;&nbsp;</a></span>teardown_udata</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void * teardown_udata</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1e015ae9d17c3cf361b5c833f526843"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1e015ae9d17c3cf361b5c833f526843">&#9670;&nbsp;</a></span>test_exclude</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * test_exclude</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5e8dd3dec70915ce8469407189ca3c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5e8dd3dec70915ce8469407189ca3c0">&#9670;&nbsp;</a></span>test_filter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * test_filter</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6542a9d244f43a6774ac5eecaf457a12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6542a9d244f43a6774ac5eecaf457a12">&#9670;&nbsp;</a></span>tests_run</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int tests_run</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a378a92feaca250332e92bde418135c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a378a92feaca250332e92bde418135c">&#9670;&nbsp;</a></span>verbosity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char verbosity</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aca34d28e3d8bcbcadb8edb4e3af24f8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca34d28e3d8bcbcadb8edb4e3af24f8c">&#9670;&nbsp;</a></span>width</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int width</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>byte_stack/<a class="el" href="byte__stack_2greatest_8h_source.html">greatest.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
